Subject: Re: bug#2652: 23.0.91; wacky behavior of "v" command in *vc-dir* buffer

From: Dan Nicolaescu <[email-masked]>
Date: Fri, 13 Mar 2009 08:31:33 -0700 (PDT)

Miles Bader <[email-masked]> writes:

  > On Fri, Mar 13, 2009 at 4:27 PM, Dan Nicolaescu <[email-masked]> wrote:
  > > Thanks.
  > > The immediate cause of the problem is that
  > > (vc-git-registered "/tmp/zonk/")
  > > returns nil.
  > >
  > > vc-git-registered is called because vc-finish-log-entry does a
  > > `vc-call'.  `vc-call' tries to find the corresponding VC backend.
  > >
  > > Now, the VC backend should be know known at point when the log entry is
  > > started, so there should be no need for the vc-call, vc-call-backend
  > > could be used...
  > 
  > Is there anybody driving the design of the vc rewrite at this point?

Not AFAIK.

But in this particular case it's not a question of redesign.
IMHO the best bet at this point is to get vc-git-registered fixed.
And maybe ask Stefan, maybe he knows the `vc-checkin' code better to say
if getting rid of `vc-call' is TRTD.